Subject: Re: bug#10980: 23.4; Variable initial-environment incorrectly set

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2012 23:05:31 +0200

> From: "Bo Johansson" <[email-masked]>
> Cc: <[email-masked]>
> Date: Fri, 23 Mar 2012 21:20:23 +0100
> 
> Summary: A value in the variable initial-environment according to the 
> documentation makes it possible to "get the same result doing something from 
> within Emacs as doing it from a Windows command prompt".
> 
> (See also 
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2012-03/msg00178.html.)

Is this only about SHELL, and only with dmake, or are there other
variables that get in the way of other programs?  Please be specific;
the few changes done to the variables outside Emacs are done for a
good reason, so it's important to know the exact adverse effects of
that to judge how justified would it be to change the current code.